## indigo 1.2.3

=== api/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.8)

project(Indigo)

include(indigo-version.cmake)
include(DefineTest)

MESSAGE(STATUS "Indigo version is ${INDIGO_VERSION}")
SET(INDIGO_VERSION "${INDIGO_VERSION}" PARENT_SCOPE) # promote Indigo version
configure_file(${Indigo_SOURCE_DIR}/src/indigo_version.h.in ${Indigo_SOURCE_DIR}/src/indigo_version.h)

file (GLOB Indigo_src src/*.c*)
file (GLOB Indigo_headers *.h* src/*.h*)

# Get defined variable with the headers for TinyXML
get_directory_property(TinyXML_HEADERS_DIR DIRECTORY ../third_party/tinyxml DEFINITION TinyXML_HEADERS_DIR)

include_directories(${Indigo_SOURCE_DIR} ${Common_SOURCE_DIR} ${Common_SOURCE_DIR}/.. ${TinyXML_HEADERS_DIR} ${InChI_SOURCE_DIR}/inchi_dll)

add_library(indigoObj OBJECT ${Indigo_src} ${Indigo_headers})
set_target_properties(indigoObj PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")

#Indigo static
if (NOT NO_STATIC)
    add_library(indigo STATIC $<TARGET_OBJECTS:indigoObj> $<TARGET_OBJECTS:graph> $<TARGET_OBJECTS:layout> $<TARGET_OBJECTS:molecule> $<TARGET_OBJECTS:common> $<TARGET_OBJECTS:reaction>)
    SET_TARGET_PROPERTIES(indigo PROPERTIES OUTPUT_NAME "indigo-static")
    target_link_libraries(indigo tinyxml z inchi)
    set_property(TARGET indigo PROPERTY FOLDER "indigo")
    # No exports in case of static library: define empty EXPORT_SYMBOL definition
    set_target_properties(indigo PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS} -DEXPORT_SYMBOL= ")
    pack_static(indigo)
endif()


# Indigo shared
add_library(indigo-shared SHARED $<TARGET_OBJECTS:indigoObj> $<TARGET_OBJECTS:graph> $<TARGET_OBJECTS:layout> $<TARGET_OBJECTS:molecule> $<TARGET_OBJECTS:common> $<TARGET_OBJECTS:reaction> ${Common_SOURCE_DIR}/hacks/memcpy.c)

SET_TARGET_PROPERTIES(indigo-shared PROPERTIES OUTPUT_NAME "indigo")
set_target_properties(indigo-shared PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")
if (APPLE)
    set_target_properties(indigo-shared PROPERTIES LINK_FLAGS "${LINK_FLAGS} -undefined dynamic_lookup")
endif()
if (UNIX AND NOT APPLE)
    if(${SUBSYSTEM_NAME} MATCHES "x64")
        set_target_properties(indigo-shared PROPERTIES LINK_FLAGS "${LINK_FLAGS} -Wl,--wrap=memcpy")
    endif()
    target_link_libraries(indigo-shared -lpthread -lrt)
endif()
if (MSVC OR MINGW)
    set_target_properties(indigo-shared PROPERTIES PREFIX "")
endif()
target_link_libraries(indigo-shared z tinyxml inchi)
if(UNIX AND NOT APPLE)
    set_property(TARGET indigo-shared PROPERTY LINK_INTERFACE_LIBRARIES "-lpthread;-lrt;z;tinyxml;inchi")
else()
    set_property(TARGET indigo-shared PROPERTY LINK_INTERFACE_LIBRARIES "z;tinyxml;inchi")
endif()
set_property(TARGET indigo-shared PROPERTY FOLDER "indigo")
if (NOT PACK_INDIGO_NOT)
    pack_shared(indigo-shared)
endif()
DEFINE_TEST(indigo-c-test-shared "tests/c/indigo-test.c" indigo-shared)

add_executable(dlopen-test ${Indigo_SOURCE_DIR}/tests/c/dlopen-test.c)
if (UNIX AND NOT APPLE)
    set_target_properties(dlopen-test PROPERTIES LINK_FLAGS "-rdynamic -ldl -pthread")
    if (NOT APPLE AND ${SUBSYSTEM_NAME} MATCHES "x64")
        set_target_properties(dlopen-test PROPERTIES LINK_FLAGS "-rdynamic -ldl -pthread -Wl,--wrap=memcpy")
    endif()
    TARGET_LINK_LIBRARIES(dlopen-test "-rdynamic -ldl -lpthread")
endif()
set_property(TARGET dlopen-test PROPERTY FOLDER "tests")

=== common/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(Common C CXX)
# Collect file list for BaseC
file (GLOB BaseC_src base_c/*.c*)
if (MSVC OR MINGW)
    file (GLOB BaseC_src_excl base_c/*_posix.c*)
else()
    file (GLOB BaseC_src_excl base_c/*_win.c* base_c/*_win32.c*)
endif()
list (REMOVE_ITEM BaseC_src ${BaseC_src_excl})
file (GLOB BaseC_headers base_c/*.h*)

# Collect file list for BaseCpp
file (GLOB BaseCpp_src base_cpp/*.c*)
if (MSVC OR MINGW)
    file (GLOB BaseCpp_src_excl base_cpp/*_posix.c*)
else()
    file (GLOB BaseCpp_src_excl base_cpp/*_win.c* base_cpp/*_win32.c*)
endif()
list (REMOVE_ITEM BaseCpp_src ${BaseCpp_src_excl})
file (GLOB BaseCpp_headers base_cpp/*.h*)

# comment to regenerate files

# Collect file list for LZW
file (GLOB LZW_src lzw/*.c*)
file (GLOB LZW_headers lzw/*.h*)

# Collect file list for Math
file (GLOB Math_src math/*.c*)
file (GLOB Math_headers math/*.h*)

source_group("BaseC" FILES ${BaseC_src} ${BaseC_headers})
source_group("BaseCpp" FILES ${BaseCpp_src} ${BaseCpp_headers})
source_group("LZW" FILES ${LZW_src} ${LZW_headers})
source_group("Math" FILES ${Math_src} ${Math_headers})

include_directories(${Common_SOURCE_DIR})
include_directories(${ZLib_HEADERS_DIR})

add_library(common OBJECT ${BaseC_src} ${BaseC_headers} ${BaseCpp_src} ${BaseCpp_headers} ${LZW_src} ${LZW_headers} ${Math_src} ${Math_headers})

set_target_properties(common PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")

=== graph/CMakeLists.txt ===
PROJECT(Graph)

file (GLOB Graph_src src/*.c src/*.cpp)
file (GLOB Graph_headers *.h *.hpp src/*.h src/*.hpp src/*.inc)

include_directories(${Common_SOURCE_DIR} ${Graph_SOURCE_DIR}/..)

add_library(graph OBJECT ${Graph_src} ${Graph_headers})

set_target_properties(graph PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")

=== layout/CMakeLists.txt ===
PROJECT(Layout)

file (GLOB Layout_src src/*.c src/*.cpp)
file (GLOB Layout_headers *.h* src/*.h*) #src/*.inc)

include_directories(${Common_SOURCE_DIR} ${Common_SOURCE_DIR}/..)

add_library(layout OBJECT ${Layout_src} ${Layout_headers})

set_target_properties(layout PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")

=== molecule/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.8)

PROJECT(Molecule)

file (GLOB Molecule_src src/*.c src/*.cpp)
file (GLOB Molecule_headers *.h *.hpp src/*.h src/*.hpp)

# Collect file list for GZip
file (GLOB GZip_src ${Common_SOURCE_DIR}/gzip/*.c*)
file (GLOB GZip_headers ${Common_SOURCE_DIR}/gzip/*.h*)
source_group("GZip" FILES ${GZip_src} ${GZip_headers})

include_directories(${Common_SOURCE_DIR} ${Molecule_SOURCE_DIR}/.. ${ZLib_HEADERS_DIR} ${TinyXML_HEADERS_DIR})

add_library(molecule OBJECT ${Molecule_src} ${Molecule_headers} ${GZip_src} ${GZip_headers})

set_target_properties(molecule PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")

include_directories (../third_party/inchi/inchi_dll)

=== reaction/CMakeLists.txt ===
PROJECT(Reaction)

file (GLOB Reaction_src src/*.c*)
file (GLOB Reaction_headers *.h)

include_directories(${Common_SOURCE_DIR} ${Common_SOURCE_DIR}/.. ${ZLib_HEADERS_DIR} ${TinyXML_HEADERS_DIR})

add_library(reaction OBJECT ${Reaction_src} ${Reaction_headers})

set_target_properties(reaction PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")

=== render2d/CMakeLists.txt ===
project(Render2D)

file (GLOB Render2D_src src/*.c src/*.cpp)
file (GLOB Render2D_headers *.h *.hpp src/*.h src/*.hpp src/*.inc)

include_directories(. src ${Cairo_headers_dir} ${Common_SOURCE_DIR} ${Molecule_SOURCE_DIR}/..)

add_library(render2d OBJECT ${Render2D_src} ${Render2D_headers})

set_target_properties(render2d PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")

=== api/r/DESCRIPTION ===
Package: rindigo
Version: 0.2
Date: 2014-11-10
Title: R Package for Indigo Toolkit
Authors@R: c(person(given = "Mikhail", family = "Kviatkovskii", role = c("cre"), 
        email = "Mikhail_Kviatkovskii@epam.com"))
Description: R Package for Indigo Toolkit
NeedsCompile: Yes
License: GPL-2 | GPL-3
URL: http://lifescience.opensource.epam.com/indigo/api
Author: Mikhail Kviatkovskii [cre]
Maintainer: Mikhail Kviatkovskii <Mikhail_Kviatkovskii@epam.com>
Packaged: 2014-12-18 15:26:37 UTC; mk

=== bingo/bingo-core-c/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(BingoCoreC)

file(GLOB BingoCoreC_src src/*.cpp)
file(GLOB BingoCoreC_headers src/*.h)

set(BingoCoreC_HEADERS_DIR ${BingoCoreC_SOURCE_DIR}/src CACHE INTERNAL "include directories" FORCE)

include(ConfigureCommon)

include_directories(../src ../src/core ${Common_SOURCE_DIR} ${Common_SOURCE_DIR}/.. ${ZLib_HEADERS_DIR} ${BingoCore_HEADERS_DIR}
	${Common_SOURCE_DIR}/../api/plugins/inchi/src ${InChI_SOURCE_DIR}/inchi_dll)

add_library(bingo-core-c STATIC ${BingoCoreC_src} ${BingoCoreC_headers})
target_link_libraries(bingo-core-c bingo-core inchi)
if(APPLE)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -lc++")
endif()
set_target_properties(bingo-core-c PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")
set_property(TARGET bingo-core-c PROPERTY FOLDER "bingo-core-c")
set_property(TARGET bingo-core-c PROPERTY OUTPUT_NAME "bingo-core-c-static")


if(BINGO_SQLSERVER)
    add_library(bingo-core-c-shared SHARED ${BingoCoreC_src} ${BingoCoreC_headers} ${Common_SOURCE_DIR}/hacks/memcpy.c $<TARGET_OBJECTS:graph> $<TARGET_OBJECTS:layout> $<TARGET_OBJECTS:molecule> $<TARGET_OBJECTS:common> $<TARGET_OBJECTS:reaction>)
	target_link_libraries(bingo-core-c-shared bingo-core inchi tinyxml z)
	if (APPLE)
		set_target_properties(bingo-core-c-shared PROPERTIES LINK_FLAGS "${LINK_FLAGS} -lc++")
	endif()
	if (UNIX AND NOT APPLE)
		if(${SUBSYSTEM_NAME} MATCHES "x64")
			set_target_properties(bingo-core-c-shared PROPERTIES LINK_FLAGS "${LINK_FLAGS} -Wl,--wrap=memcpy")
		endif()
	endif()
	set_target_properties(bingo-core-c-shared PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")
	set_property(TARGET bingo-core-c-shared PROPERTY FOLDER "bingo-core-c-shared")
	set_property(TARGET bingo-core-c-shared PROPERTY OUTPUT_NAME "bingo-core-c")
endif()

=== bingo/bingo-core/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(BingoCore)

SET(BingoCore_HEADERS_DIR ${BingoCore_SOURCE_DIR}/src CACHE INTERNAL "include directories" FORCE)
CMAKE_POLICY(SET CMP0011 NEW)
INCLUDE(${Bingo_SOURCE_DIR}/bingo-version.cmake)                                            
MESSAGE(STATUS "BingoCore version is ${BINGO_VERSION}")
configure_file(${BingoCore_HEADERS_DIR}/core/bingo_version.h.in ${BingoCore_HEADERS_DIR}/core/bingo_version.h)

file(GLOB BingoCore_src src/core/*.cpp)
file(GLOB BingoCore_headers ${BingoCore_HEADERS_DIR}/core/*.h)

include(SetBuildParameters)
include_directories(src ${Common_SOURCE_DIR} ${Common_SOURCE_DIR}/..)
add_library(bingo-core STATIC ${BingoCore_src} ${BingoCore_headers})
set_target_properties(bingo-core PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")

set_property(TARGET bingo-core PROPERTY FOLDER "bingo-core")

=== bingo/oracle/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(BingoOracle)

include(../bingo-version.cmake)
include(ConfigureCommon)

message(STATUS "BingoOracle version is ${BINGO_VERSION_EXT}")

file(GLOB Bingo_src src/oracle/*.cpp)
file(GLOB Bingo_headers src/oracle/*.h)

include_directories(src ${Common_SOURCE_DIR} ${Common_SOURCE_DIR}/.. ${OCI_INCLUDE_DIRS} ${ZLib_HEADERS_DIR} ${BingoCore_HEADERS_DIR}
	${Common_SOURCE_DIR}/../api/plugins/inchi/src ${InChI_SOURCE_DIR}/inchi_dll)

add_library(bingo-oracle-shared SHARED ${Bingo_src} ${Bingo_headers} ${Common_SOURCE_DIR}/../api/plugins/inchi/src/indigo_inchi_core.cpp ${Common_SOURCE_DIR}/hacks/memcpy.c $<TARGET_OBJECTS:graph> $<TARGET_OBJECTS:layout> $<TARGET_OBJECTS:molecule> $<TARGET_OBJECTS:common> $<TARGET_OBJECTS:reaction>)

if (UNIX AND NOT APPLE)
	message(STATUS "UNIX AND NOT APPLE")
	if(${SUBSYSTEM_NAME} MATCHES "x64")
		message(STATUS "SUBSYSTEM_NAME EQUALS x64")
		set_target_properties(bingo-oracle-shared PROPERTIES LINK_FLAGS "${LINK_FLAGS} -Wl,--wrap=memcpy")
	endif()
endif()

set_target_properties(bingo-oracle-shared PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")

target_link_libraries(bingo-oracle-shared bingo-core common-oracle inchi tinyxml z)
if (MSVC)
	target_link_libraries(bingo-oracle-shared odbc32 odbccp32 ${OCI_LIBRARY})
elseif(APPLE)
	target_link_libraries(bingo-oracle-shared ${OCI_LIBRARY})
endif()
set_property(TARGET bingo-oracle-shared PROPERTY LINK_INTERFACE_LIBRARIES "")

SET_TARGET_PROPERTIES(bingo-oracle-shared PROPERTIES OUTPUT_NAME "bingo-oracle")

set_property(TARGET bingo-oracle-shared PROPERTY FOLDER "bingo-oracle")

pack_bingo(bingo-oracle-shared)

=== bingo/postgres/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(BingoPostgres C CXX)

include(../bingo-version.cmake)
include(ConfigureCommon)

message(STATUS "BingoPostgres version is ${BINGO_VERSION_EXT}")

find_package(POSTGRES)
if (NOT POSTGRES_FOUND)
	message(FATAL_ERROR "Postgres not found!")
endif()
message(STATUS "Postgres found at ${POSTGRES_INCLUDE_DIRS}")

file(GLOB PG_AM_src src/pg_am/*.cpp src/pg_am/*.c)
file(GLOB PG_AM_headers src/pg_am/*.h)
file(GLOB PG_COMMON_src src/pg_common/*.cpp src/pg_common/*.c)
file(GLOB PG_COMMON_headers src/pg_common/*.h)
file(GLOB PG_CORE_src src/pg_core/*.cpp src/pg_core/*.c)
file(GLOB PG_CORE_headers src/pg_core/*.h)

include_directories(src ${Common_SOURCE_DIR} ${Common_SOURCE_DIR}/.. ${ZLib_HEADERS_DIR}  ${BingoCoreC_HEADERS_DIR} ${BingoCore_HEADERS_DIR} ${POSTGRES_INCLUDE_DIRS} src/pg_common/ src/pg_am/ src/pg_core/)
if (MSVC)
	include_directories(${POSTGRES_INCLUDE_DIRS}/port/win32_msvc ${POSTGRES_INCLUDE_DIRS}/port/win32 ${POSTGRES_INCLUDE_DIRS}/..)
endif()

if (NOT MSVC)                                                                                                                                                            
	add_library(bingo-postgres-shared SHARED ${PG_AM_src} ${PG_AM_headers} ${PG_COMMON_src} ${PG_COMMON_headers} ${PG_CORE_src} ${PG_CORE_headers} ${Common_SOURCE_DIR}/hacks/memcpy.c $<TARGET_OBJECTS:graph> $<TARGET_OBJECTS:layout> $<TARGET_OBJECTS:molecule> $<TARGET_OBJECTS:common> $<TARGET_OBJECTS:reaction>)
else()
	add_library(bingo-postgres-shared SHARED ${PG_AM_src} ${PG_AM_headers} ${PG_COMMON_src} ${PG_COMMON_headers} ${PG_CORE_src} ${PG_CORE_headers} ${POSTGRES_INCLUDE_DIRS}/port/win32.h $<TARGET_OBJECTS:graph> $<TARGET_OBJECTS:layout> $<TARGET_OBJECTS:molecule> $<TARGET_OBJECTS:common> $<TARGET_OBJECTS:reaction>)
endif()
SET_TARGET_PROPERTIES(bingo-postgres-shared PROPERTIES OUTPUT_NAME "bingo_postgres")
SET_TARGET_PROPERTIES(bingo-postgres-shared PROPERTIES PREFIX "")

set_target_properties(bingo-postgres-shared PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")
if (APPLE)
	set_target_properties(bingo-postgres-shared PROPERTIES LINK_FLAGS "${LINK_FLAGS} -undefined suppress -flat_namespace")
elseif(UNIX)
	set_target_properties(bingo-postgres-shared PROPERTIES LINK_FLAGS "${LINK_FLAGS} -pthread")
endif()

if (UNIX AND NOT APPLE)
	message(STATUS "UNIX AND NOT APPLE")
	if(${SUBSYSTEM_NAME} MATCHES "x64")
		message(STATUS "SUBSYSTEM_NAME EQUALS x64")
		set_target_properties(bingo-postgres-shared PROPERTIES LINK_FLAGS "${LINK_FLAGS} -pthread -Wl,--wrap=memcpy")
	endif()
endif()

target_link_libraries(bingo-postgres-shared bingo-core-c bingo-core z tinyxml)
if (MSVC)
	target_link_libraries(bingo-postgres-shared ${POSTGRES_LIBRARY})
endif()

set_property(TARGET bingo-postgres-shared PROPERTY LINK_INTERFACE_LIBRARIES "")
set_property(TARGET bingo-postgres-shared PROPERTY FOLDER "bingo-postgres")

pack_bingo(bingo-postgres-shared)

=== debian/changelog ===
indigo (1.2.3-5) unstable; urgency=medium

  * Team upload.
  * Bump CMAKE_POLICY_VERSION_MINIMUM (Closes: #1113039)

 -- Andrius Merkys <merkys@debian.org>  Thu, 02 Oct 2025 06:01:30 -0400

indigo (1.2.3-4) unstable; urgency=medium

  * Team upload.

  [ Michael Banck ]
  * Acknowledge NMU.

  [ Andrius Merkys ]
  * Fix and modernize debian/watch.
  * Build-Depends: libfreetype6-dev => libfreetype-dev

 -- Andrius Merkys <merkys@debian.org>  Thu, 18 Sep 2025 09:05:45 -0400

indigo (1.2.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use the correct API to fix FTBFS. (Closes: #963305)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 22 Jul 2020 23:41:31 +0100

indigo (1.2.3-3) unstable; urgency=medium

  * No-change source-only upload.

 -- Stuart Prescott <stuart@debian.org>  Fri, 17 Jan 2020 16:54:17 +1100

indigo (1.2.3-2) unstable; urgency=medium

  * Team Upload

  [ Stuart Prescott ]
  * Add Python 3 package; remove Python 2 package (Closes: #936733).
  * Update Standards-Version to 4.4.1 (no changes required).
  * Add Rules-Requires-Root: no.
  * Replace Priority: extra with optional.
  * Update to debhelper-compat (= 12).

  [ Andrius Merkys ]
  * Updating homepage link (Closes: #944316).

 -- Stuart Prescott <stuart@debian.org>  Fri, 10 Jan 2020 17:32:04 +1100

indigo (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/library_dir_and_name.patch: Updated.
  * debian/watch: Updated.
  * debian/patches/xlocale_ftbfs_fix.patch: New patch, removing a xlocale.h
    include; this header is no longer shipped in glibc. (Closes: 887777)
  * debian/indigo-utils.install: Update directories.
  * debian/patches/pixman_fix_library_name.patch: New patch, fixes pixman
    library name hardcoding issues in Makefiles.
  * debian/patches/indigo-deco_build_fix.patch: New patch, fixes unresovled
    symbols errors while linking indigo-deco.

 -- Michael Banck <mbanck@debian.org>  Tue, 01 Jan 2019 12:01:39 +0100

=== debian/control ===
Source: indigo
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               default-jdk,
               dh-python,
               javahelper,
               libcairo2-dev,
               libfreetype-dev,
               libjna-java,
               libpng-dev,
               libtinyxml-dev,
               python3,
Standards-Version: 4.4.1
Homepage: https://lifescience.opensource.epam.com/indigo/index.html
Vcs-Browser: https://salsa.debian.org/debichem-team/indigo
Vcs-Git: https://salsa.debian.org/debichem-team/indigo.git
Rules-Requires-Root: no

Package: indigo-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libindigo-java
Description: Organic Chemistry Toolkit Utilities
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 .
 This package contains the following utilities:
 .
  * indigo-depict: Molecule and reaction rendering utility
  * indigo-cano: Canonical SMILES generator
  * indigo-deco: R-Group deconvolution utility
  * chemdiff: Visual comparison of two SDF or SMILES files (needs the JAVA
    libraries)

Package: libindigo0d
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Organic Chemistry Toolkit
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.

Package: libindigo-dev
Architecture: any
Section: libdevel
Depends: libindigo0d (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Organic Chemistry Toolkit (development files)
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry
  * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 .
 This package contains the static library and header files.

Package: python3-indigo
Architecture: all
Section: python
Depends: libindigo0d (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Organic Chemistry Toolkit (Python module)
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry
  * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 .
 This package contains the Python modules.

Package: libindigo-java
Architecture: all
Section: java
Depends: libindigo0d (>= ${source:Version}),
         ${java:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Organic Chemistry Toolkit (Java package)
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry
  * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 .
 This package contains the Java packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export CPPFLAGS  := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS    := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS  := $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS   := $(shell dpkg-buildflags --get LDFLAGS)

export JAVA_HOME := /usr/lib/jvm/default-java
export CLASSPATH := /usr/share/java/jna.jar:$(CURDIR)/indigo.jar:$(CURDIR)/indigo-renderer.jar:$(CURDIR)/common-controls.jar

%:
	dh $@ --with javahelper,python3

override_dh_auto_clean:
	find build_scripts/indigo-utils | grep -v CMakeLists | grep -v indigo-utils$$ | xargs rm -rf
	find . -type d -name "dist" | xargs rm -rf
	find . -name ".dep.inc" | xargs rm -f
	rm -f api/src/indigo_version.h
	rm -f $(CURDIR)/*.jar
	dh_auto_clean

override_dh_auto_configure:
	(cd build_scripts/indigo-utils && cmake -DCMAKE_BUILD_TYPE=None -DCMAKE_SKIP_RPATH=ON -DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
	 -DUSE_SYSTEM_ZLIB=YES -DUSE_SYSTEM_PNG=YES -DUSE_SYSTEM_CAIRO=YES -DUSE_SYSTEM_PIXMAN=YES \
	 -DCAIRO_LIBRARY_DIRS=/usr/lib/$(DEB_HOST_MULTIARCH) \
	 -DPIXMAN_LIBRARY_DIRS=/usr/lib/$(DEB_HOST_MULTIARCH) -DPIXMAN_INCLUDE_DIRS=/usr/include/pixman-1 -DLIBPIXMAN=libpixman-1.so \
	 -DTINYXML_LIBRARY_DIRS=/usr/lib/$(DEB_HOST_MULTIARCH) .)

override_dh_auto_build:
	(cd build_scripts/indigo-utils && $(MAKE) VERBOSE=1)
	dh_auto_build

override_dh_auto_install-arch:
	dh_installdirs -a
	install $(CURDIR)/utils/chemdiff/chemdiff.sh						\
		debian/indigo-utils/usr/bin/chemdiff
	dh_auto_install -a

override_dh_auto_install-indep:
	dh_installdirs -i
	mkdir -p debian/python3-indigo/usr/lib/`py3versions -d`/dist-packages
	install -m0644 $(CURDIR)/api/python/indigo.py $(CURDIR)/api/plugins/renderer/python/*.py	\
		debian/python3-indigo/usr/lib/`py3versions -d`/dist-packages
	dh_auto_install -i

override_dh_makeshlibs:
	dh_makeshlibs -V

=== debian/watch ===
version=4
opts="uversionmangle=s%-(rc\d+)%~$1%" \
 https://github.com/epam/Indigo/tags \
 (?:.*?/)?indigo-@ANY_VERSION@@ARCHIVE_EXT@
